Custom CRSs are not "recognized" the first time a layer is loaded

2015-11-08 04:35 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21818

Description

The first time a layer with a specific custom CRS is loaded, then the latest versions of QGIS seems not to "recognize" it. Load it a second

time (it is enough to duplicate the layer) and then the custom parameters/internal code are shown. This can be confusing especially when

this kind of layer is the first one being loaded in a project. See attached images.

It affects master, but also previous QGIS releases but it was ok until some point (not sure what release exactly).

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
